Subject: Offline Message from Jake Prestwich: I bought three EB6 bikes on adorama last
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 18 Apr 2022 23:22:45 -0000

From: Jake Prestwich <[email-masked]>
Phone: 8018333109
Location: Sandy, United States
URL: https://swagtron.com/
Department: SwagTron

I bought three EB6 bikes on adorama last week.  Two of them work great.  The third one has a throttle that intermittently will not work.  The cadence sensor always runs the motor, but about 10% of the time the throttle will not work. If there isn't a reliable fix I think I'd better return while I'll still in my return window. Thanks, Jake

----
Zopim
https://www.zopim.com